## com.google.javascript.jscomp
Interface JsMessage.IdGenerator

All Known Implementing Classes:
  GoogleJsMessageIdGenerator

Enclosing class:
  JsMessage

    public static interface JsMessage.IdGenerator

Method Summary
`String` | `generateId(String meaning, List<CharSequence> messageParts)` Generate the ID for the message.

Method Detail

### generateId

    String generateId(String meaning,
                      List<CharSequence> messageParts)

  Generate the ID for the message. Messages with the same messageParts and meaning will get the same id. Messages with the same id will get the same translation.

  Parameters:
    `meaning` - The programmer-specified meaning. If no `@meaning` annotation appears, we will use the name of the variable it's assigned to. If the variable is unnamed, then we will just use a fingerprint of the message.
    `messageParts` - The parts of the message, including the main message text.